/* Base de donnée: base_heritage_discriminator */

DROP DATABASE IF EXISTS base_heritage_discriminator;
/*DROP USER IF EXISTS 'application'@'localhost';*/
CREATE DATABASE base_heritage_discriminator DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
CREATE USER IF NOT EXISTS'application'@'localhost' IDENTIFIED BY 'passw0rd';
GRANT ALL PRIVILEGES ON base_heritage_discriminator.* TO'application'@'localhost';
USE base_heritage_discriminator;

SET FOREIGN_KEY_CHECKS = 0; 
DROP TABLE IF EXISTS Adresse;

 
CREATE TABLE Adresse (
	idAdresse INTEGER PRIMARY KEY AUTO_INCREMENT,
	rue VARCHAR(100),
	codePostal VARCHAR(100),
	ville VARCHAR(100),
	pays VARCHAR(100),
	discriminator tinyint NOT NULL,
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;
 

 
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue de Nantes','Laval','53000','France',1);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue du Paradis','Paris','75000','France',1);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue des Passeurs','Paris','75000','France',1);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue des Feugrais','Rouen','76000','France',2);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue du Paradis','Paris','75000','France',2);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue des Feugrais','Rouen','76000','France',2);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue de Versaille','Paris','75000','France',3);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue des Sages','Lyon','69000','France',3);
INSERT INTO Adresse(rue,ville,codePostal,pays,discriminator) VALUES ('rue des Pauvres','Laval','53000','France',3);



/* Base de donnée: base_heritage_join_table */

DROP DATABASE IF EXISTS base_heritage_join_table;
/*DROP USER IF EXISTS 'application'@'localhost';*/
CREATE DATABASE base_heritage_join_table DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
CREATE USER IF NOT EXISTS'application'@'localhost' IDENTIFIED BY 'passw0rd';
GRANT ALL PRIVILEGES ON base_heritage_join_table.* TO'application'@'localhost';
USE base_heritage_join_table;

SET FOREIGN_KEY_CHECKS = 0; 
DROP TABLE IF EXISTS Adresse;
DROP TABLE IF EXISTS AdresseFacturation;
DROP TABLE IF EXISTS AdresseLivraison;
DROP TABLE IF EXISTS AdresseVaccance;
 
CREATE TABLE Adresse (
	idAdresse INTEGER PRIMARY KEY AUTO_INCREMENT,
	rue VARCHAR(100),
	codePostal VARCHAR(100),
	ville VARCHAR(100),
	pays VARCHAR(100),
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;
 
 
 CREATE TABLE AdresseFacturation (
	idAdresse int NOT NULL REFERENCES Adresse(idAdresse),
	moyenPaiement VARCHAR(100),
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;

 
  CREATE TABLE AdresseLivraison (
	idAdresse int NOT NULL REFERENCES Adresse(idAdresse),
	informationAccesLogement VARCHAR(100),
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;
 
 CREATE TABLE AdresseVaccance (
	idAdresse int NOT NULL REFERENCES Adresse(idAdresse),
	debutVaccance TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	finVaccance TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;
 



 
 
 
 
 /* Base de donnée: base_heritage_concrete_table */

DROP DATABASE IF EXISTS base_heritage_concrete_table;
/*DROP USER IF EXISTS 'application'@'localhost';*/
CREATE DATABASE base_heritage_concrete_table DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
CREATE USER IF NOT EXISTS'application'@'localhost' IDENTIFIED BY 'passw0rd';
GRANT ALL PRIVILEGES ON base_heritage_concrete_table.* TO'application'@'localhost';
USE base_heritage_concrete_table;

SET FOREIGN_KEY_CHECKS = 0; 
DROP TABLE IF EXISTS AdresseFacturation;
DROP TABLE IF EXISTS AdresseLivraison;
DROP TABLE IF EXISTS AdresseVaccance;
 
 
 CREATE TABLE AdresseFacturation (
	idAdresse INTEGER PRIMARY KEY AUTO_INCREMENT,
	rue VARCHAR(100),
	codePostal VARCHAR(100),
	ville VARCHAR(100),
	pays VARCHAR(100),
	moyenPaiement VARCHAR(100),
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;

 
  CREATE TABLE AdresseLivraison (
	idAdresse INTEGER PRIMARY KEY AUTO_INCREMENT,
	rue VARCHAR(100),
	codePostal VARCHAR(100),
	ville VARCHAR(100),
	pays VARCHAR(100),
	informationAccesLogement VARCHAR(100),
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;
 
 CREATE TABLE AdresseVaccance (
	idAdresse INTEGER PRIMARY KEY AUTO_INCREMENT,
	rue VARCHAR(100),
	codePostal VARCHAR(100),
	ville VARCHAR(100),
	pays VARCHAR(100),
	debutVaccance TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	finVaccance TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	version INTEGER DEFAULT 1
 )ENGINE=InnoDB DEFAULT CHARSET=utf8;
